Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rete
Class BetaNode

    java.lang.Object
      org.mindswap.pellet.rete.Node
          org.mindswap.pellet.rete.BetaNode

    public class BetaNode

extends Node

Title: Beta Node

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Field Summary
`java.util.List<BetaNode>` | `children`
`Node` | `lnode`
`java.util.List<BetaNode>` | `parents`
`Node` | `rnode`
`RuleNode` | `rule`

Fields inherited from class org.mindswap.pellet.rete.Node
`index, svars, vars`

Constructor Summary
`BetaNode(Node lnode, Node rnode, boolean doExplanation)`

Method Summary
`java.util.HashMap<Variable,Constant>` | `getBindings(java.util.List<Constant> row)`
`java.util.List<Fact>` | `join()`
`java.util.Set<Fact>` | `matchingFacts(TermTuple rhs, java.util.List<Fact> facts)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### children

    public java.util.List<BetaNode> children

### lnode

    public Node lnode

### parents

    public java.util.List<BetaNode> parents

### rnode

    public Node rnode

### rule

    public RuleNode rule

Constructor Detail

### BetaNode

    public BetaNode(Node lnode,
                    Node rnode,
                    boolean doExplanation)

Method Detail

### getBindings

    public java.util.HashMap<Variable,Constant> getBindings(java.util.List<Constant> row)

### join

    public java.util.List<Fact> join()

### matchingFacts

    public java.util.Set<Fact> matchingFacts(TermTuple rhs,
                                             java.util.List<Fact> facts)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.